Note : This endpoint is in public beta and is subject to change.
If you have any feedback, contact Datadog support .
PATCH https://api.ap1.datadoghq.com/api/v2/incidents/config/global/settings https://api.ap2.datadoghq.com/api/v2/incidents/config/global/settings https://api.datadoghq.eu/api/v2/incidents/config/global/settings https://api.ddog-gov.com/api/v2/incidents/config/global/settings https://api.us2.ddog-gov.com/api/v2/incidents/config/global/settings https://api.datadoghq.com/api/v2/incidents/config/global/settings https://api.us3.datadoghq.com/api/v2/incidents/config/global/settings https://api.us5.datadoghq.com/api/v2/incidents/config/global/settings
Overview Update global incident settings for the organization.
Request Body Data (required)
Expand All
Data object in the global incident settings request.
Global incident settings attributes
The analytics dashboard ID
Global incident settings resource type
Allowed enum values: incidents_global_settings
{
"data" : {
"attributes" : {
"analytics_dashboard_id" : "abc-123-def"
},
"type" : "incidents_global_settings"
}
} Response OK
Response payload containing global incident settings.
Expand All
Data object in the global incident settings response.
Global incident settings attributes
analytics_dashboard_id [required ]
The analytics dashboard ID
Timestamp when the settings were created
Timestamp when the settings were last modified
The unique identifier for the global incident settings
Global incident settings resource type
Allowed enum values: incidents_global_settings
{
"data" : {
"attributes" : {
"analytics_dashboard_id" : "abc-123-def" ,
"created" : "2026-01-13T17:15:56.557278191Z" ,
"modified" : "2026-01-13T17:15:56.557278191Z"
},
"id" : "f8b9a915-ed85-48b4-9071-ceba567a3db5" ,
"type" : "incidents_global_settings"
}
} Bad Request
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Code Example Copy
## default
#
# Curl command curl -X PATCH "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/incidents/config/global/settings " \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} " \
-d @- << EOF
{
"data": {
"attributes": {
"analytics_dashboard_id": "00000000-0000-0000-0000-000000000003-def"
},
"type": "incidents_global_settings"
}
}
EOF
"""
Update global incident settings returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.incidents_api import IncidentsApi
from datadog_api_client.v2.model.global_incident_settings_attributes_request import (
GlobalIncidentSettingsAttributesRequest ,
)
from datadog_api_client.v2.model.global_incident_settings_data_request import GlobalIncidentSettingsDataRequest
from datadog_api_client.v2.model.global_incident_settings_request import GlobalIncidentSettingsRequest
from datadog_api_client.v2.model.global_incident_settings_type import GlobalIncidentSettingsType
body = GlobalIncidentSettingsRequest (
data = GlobalIncidentSettingsDataRequest (
attributes = GlobalIncidentSettingsAttributesRequest (
analytics_dashboard_id = "abc-123-def" ,
),
type = GlobalIncidentSettingsType . INCIDENTS_GLOBAL_SETTINGS ,
),
)
configuration = Configuration ()
configuration . unstable_operations [ "update_global_incident_settings" ] = True
with ApiClient ( configuration ) as api_client :
api_instance = IncidentsApi ( api_client )
response = api_instance . update_global_incident_settings ( body = body )
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" python3 "example.py"
# Update global incident settings returns "OK" response
require "datadog_api_client"
DatadogAPIClient . configure do | config |
config . unstable_operations [ "v2.update_global_incident_settings" . to_sym ] = true
end
api_instance = DatadogAPIClient :: V2 :: IncidentsAPI . new
body = DatadogAPIClient :: V2 :: GlobalIncidentSettingsRequest . new ({
data : DatadogAPIClient :: V2 :: GlobalIncidentSettingsDataRequest . new ({
attributes : DatadogAPIClient :: V2 :: GlobalIncidentSettingsAttributesRequest . new ({
analytics_dashboard_id : "abc-123-def" ,
}),
type : DatadogAPIClient :: V2 :: GlobalIncidentSettingsType :: INCIDENTS_GLOBAL_SETTINGS ,
}),
})
p api_instance . update_global_incident_settings ( body )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" rb "example.rb"
// Update global incident settings returns "OK" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)
func main () {
body := datadogV2 . GlobalIncidentSettingsRequest {
Data : datadogV2 . GlobalIncidentSettingsDataRequest {
Attributes : & datadogV2 . GlobalIncidentSettingsAttributesRequest {
AnalyticsDashboardId : datadog . PtrString ( "abc-123-def" ),
},
Type : datadogV2 . GLOBALINCIDENTSETTINGSTYPE_INCIDENTS_GLOBAL_SETTINGS ,
},
}
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
configuration . SetUnstableOperationEnabled ( "v2.UpdateGlobalIncidentSettings" , true )
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewIncidentsApi ( apiClient )
resp , r , err := api . UpdateGlobalIncidentSettings ( ctx , body )
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `IncidentsApi.UpdateGlobalIncidentSettings`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `IncidentsApi.UpdateGlobalIncidentSettings`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" go run "main.go"
// Update global incident settings returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.IncidentsApi ;
import com.datadog.api.client.v2.model.GlobalIncidentSettingsAttributesRequest ;
import com.datadog.api.client.v2.model.GlobalIncidentSettingsDataRequest ;
import com.datadog.api.client.v2.model.GlobalIncidentSettingsRequest ;
import com.datadog.api.client.v2.model.GlobalIncidentSettingsResponse ;
import com.datadog.api.client.v2.model.GlobalIncidentSettingsType ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
defaultClient . setUnstableOperationEnabled ( "v2.updateGlobalIncidentSettings" , true );
IncidentsApi apiInstance = new IncidentsApi ( defaultClient );
GlobalIncidentSettingsRequest body =
new GlobalIncidentSettingsRequest ()
. data (
new GlobalIncidentSettingsDataRequest ()
. attributes (
new GlobalIncidentSettingsAttributesRequest ()
. analyticsDashboardId ( "abc-123-def" ))
. type ( GlobalIncidentSettingsType . INCIDENTS_GLOBAL_SETTINGS ));
try {
GlobalIncidentSettingsResponse result = apiInstance . updateGlobalIncidentSettings ( body );
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling IncidentsApi#updateGlobalIncidentSettings" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" java "Example.java"
// Update global incident settings returns "OK" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_incidents ::IncidentsAPI ;
use datadog_api_client ::datadogV2 ::model ::GlobalIncidentSettingsAttributesRequest ;
use datadog_api_client ::datadogV2 ::model ::GlobalIncidentSettingsDataRequest ;
use datadog_api_client ::datadogV2 ::model ::GlobalIncidentSettingsRequest ;
use datadog_api_client ::datadogV2 ::model ::GlobalIncidentSettingsType ;
#[tokio::main]
async fn main () {
let body = GlobalIncidentSettingsRequest ::new (
GlobalIncidentSettingsDataRequest ::new (
GlobalIncidentSettingsType ::INCIDENTS_GLOBAL_SETTINGS ,
)
. attributes (
GlobalIncidentSettingsAttributesRequest ::new ()
. analytics_dashboard_id ( "abc-123-def" . to_string ()),
),
);
let mut configuration = datadog ::Configuration ::new ();
configuration . set_unstable_operation_enabled ( "v2.UpdateGlobalIncidentSettings" , true );
let api = IncidentsAPI ::with_config ( configuration );
let resp = api . update_global_incident_settings ( body ). await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" cargo run
/**
* Update global incident settings returns "OK" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
configuration . unstableOperations [ "v2.updateGlobalIncidentSettings" ] = true ;
const apiInstance = new v2 . IncidentsApi ( configuration );
const params : v2.IncidentsApiUpdateGlobalIncidentSettingsRequest = {
body : {
data : {
attributes : {
analyticsDashboardId : "abc-123-def" ,
},
type : "incidents_global_settings" ,
},
},
};
apiInstance
. updateGlobalIncidentSettings ( params )
. then (( data : v2.GlobalIncidentSettingsResponse ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" tsc "example.ts"